Functions
Functions
Graphics » HAL GFX » GFX RASTER
Collaboration diagram for Functions:

## Functions
void | hal_gfx_set_raster_color (uint32_t rgba8888)
| Setting the raster color. More...
void | hal_gfx_raster_pixel (int x, int y)
| Raster a pixel. More...
void | hal_gfx_raster_line (int x0, int y0, int x1, int y1)
| Raster a line. More...
void | hal_gfx_raster_triangle_fx (int x0fx, int y0fx, int x1fx, int y1fx, int x2fx, int y2fx)
| Raster a triangle with fixed point(16.16) More...
void | hal_gfx_raster_rect (int x, int y, int w, int h)
| Raster a rectangle. More...
void | hal_gfx_raster_rounded_rect (int x0, int y0, int w, int h, int r)
| Raster a rectangle with rounded edges. More...
void | hal_gfx_raster_quad_fx (int x0fx, int y0fx, int x1fx, int y1fx, int x2fx, int y2fx, int x3fx, int y3fx)
| Raster a quad with fixed point(16.16) More...
void | hal_gfx_raster_triangle (int x0, int y0, int x1, int y1, int x2, int y2)
| Raster a triangle. More...
void | hal_gfx_raster_quad (int x0, int y0, int x1, int y1, int x2, int y2, int x3, int y3)
| Raster a quad. More...
void | hal_gfx_raster_circle_aa (float x, float y, float r)
| Raster a circle with Anti-Aliasing (if available) More...
void | hal_gfx_raster_stroked_circle_aa (float x, float y, float r, float w)
| Raster a circle with Anti-Aliasing (if available) and specified width. More...
void | hal_gfx_raster_rect_fx (int x, int y, int w, int h)
| Raster a rectangle with fixed point(16.16) More...
void | hal_gfx_raster_rect_f (float x, float y, float w, float h)
| Raster a rectangle. More...
void | hal_gfx_raster_triangle_f (float x0, float y0, float x1, float y1, float x2, float y2)
| Raster a triangle. More...
void | hal_gfx_raster_triangle_p0_f (float x0, float y0)
| Raster the first vertex of the triangle strip. More...
void | hal_gfx_raster_triangle_p1_f (float x1, float y1)
| Raster the second vertex of the triangle strip. More...
void | hal_gfx_raster_triangle_p2_f (float x2, float y2)
| Raster the third vertex of the triangle strip. More...
void | hal_gfx_raster_quad_f (float x0, float y0, float x1, float y1, float x2, float y2, float x3, float y3)
| Raster a quad. More...

## Detailed Description

## Function Documentation

## ◆ hal_gfx_raster_circle_aa()

void hal_gfx_raster_circle_aa | ( | float | x,
|  | float | y,
|  | float | r
| ) |  |

Raster a circle with Anti-Aliasing (if available)

Parameters

  [in] | x | x coordinate of the circle's center
  [in] | y | y coordinate of the circle's center
  [in] | r | circle's radius

## ◆ hal_gfx_raster_line()

void hal_gfx_raster_line | ( | int | x0,
|  | int | y0,
|  | int | x1,
|  | int | y1
| ) |  |

Raster a line.

Parameters

  [in] | x0 | x coordinate at the beginning of the line
  [in] | y0 | y coordinate at the beginning of the line
  [in] | x1 | x coordinate at the end of the line
  [in] | y1 | y coordinate at the end of the line

## ◆ hal_gfx_raster_pixel()

void hal_gfx_raster_pixel | ( | int | x,
|  | int | y
| ) |  |

Raster a pixel.

Parameters

  [in] | x | x coordinate of the pixel
  [in] | y | x coordinate of the pixel

## ◆ hal_gfx_raster_quad()

void hal_gfx_raster_quad | ( | int | x0,
|  | int | y0,
|  | int | x1,
|  | int | y1,
|  | int | x2,
|  | int | y2,
|  | int | x3,
|  | int | y3
| ) |  |

Raster a quad.

Parameters

  [in] | x0 | x coordinate at the first vertex of the quadrilateral
  [in] | y0 | y coordinate at the first vertex of the quadrilateral
  [in] | x1 | x coordinate at the second vertex of the quadrilateral
  [in] | y1 | y coordinate at the second vertex of the quadrilateral
  [in] | x2 | x coordinate at the third vertex of the quadrilateral
  [in] | y2 | y coordinate at the third vertex of the quadrilateral
  [in] | x3 | x coordinate at the fourth vertex of the quadrilateral
  [in] | y3 | y coordinate at the fourth vertex of the quadrilateral

## ◆ hal_gfx_raster_quad_f()

void hal_gfx_raster_quad_f | ( | float | x0,
|  | float | y0,
|  | float | x1,
|  | float | y1,
|  | float | x2,
|  | float | y2,
|  | float | x3,
|  | float | y3
| ) |  |

Raster a quad.

(float coordinates)

Parameters

  [in] | x0 | x coordinate at the first vertex of the quadrilateral
  [in] | y0 | y coordinate at the first vertex of the quadrilateral
  [in] | x1 | x coordinate at the second vertex of the quadrilateral
  [in] | y1 | y coordinate at the second vertex of the quadrilateral
  [in] | x2 | x coordinate at the third vertex of the quadrilateral
  [in] | y2 | y coordinate at the third vertex of the quadrilateral
  [in] | x3 | x coordinate at the fourth vertex of the quadrilateral
  [in] | y3 | y coordinate at the fourth vertex of the quadrilateral

## ◆ hal_gfx_raster_quad_fx()

void hal_gfx_raster_quad_fx | ( | int | x0fx,
|  | int | y0fx,
|  | int | x1fx,
|  | int | y1fx,
|  | int | x2fx,
|  | int | y2fx,
|  | int | x3fx,
|  | int | y3fx
| ) |  |

Raster a quad with fixed point(16.16)

Parameters

  [in] | x0fx | x coordinate at the first vertex of the quadrilateral
  [in] | y0fx | y coordinate at the first vertex of the quadrilateral
  [in] | x1fx | x coordinate at the second vertex of the quadrilateral
  [in] | y1fx | y coordinate at the second vertex of the quadrilateral
  [in] | x2fx | x coordinate at the third vertex of the quadrilateral
  [in] | y2fx | y coordinate at the third vertex of the quadrilateral
  [in] | x3fx | x coordinate at the fourth vertex of the quadrilateral
  [in] | y3fx | y coordinate at the fourth vertex of the quadrilateral

## ◆ hal_gfx_raster_rect()

void hal_gfx_raster_rect | ( | int | x,
|  | int | y,
|  | int | w,
|  | int | h
| ) |  |

Raster a rectangle.

Parameters

  [in] | x | x coordinate of the upper left vertex of the rectangle
  [in] | y | y coordinate of the upper left vertex of the rectangle
  [in] | w | width of the rectangle
  [in] | h | height of the rectangle

## ◆ hal_gfx_raster_rect_f()

void hal_gfx_raster_rect_f | ( | float | x,
|  | float | y,
|  | float | w,
|  | float | h
| ) |  |

Raster a rectangle.

(float coordinates)

Parameters

  [in] | x | x coordinate of the upper left vertex of the rectangle
  [in] | y | y coordinate of the upper left vertex of the rectangle
  [in] | w | width of the rectangle
  [in] | h | height of the rectangle

## ◆ hal_gfx_raster_rect_fx()

void hal_gfx_raster_rect_fx | ( | int | x,
|  | int | y,
|  | int | w,
|  | int | h
| ) |  |

Raster a rectangle with fixed point(16.16)

Parameters

  [in] | x | x coordinate of the upper left vertex of the rectangle
  [in] | y | y coordinate of the upper left vertex of the rectangle
  [in] | w | width of the rectangle
  [in] | h | height of the rectangle

## ◆ hal_gfx_raster_rounded_rect()

void hal_gfx_raster_rounded_rect | ( | int | x0,
|  | int | y0,
|  | int | w,
|  | int | h,
|  | int | r
| ) |  |

Raster a rectangle with rounded edges.

Parameters

  [in] | x0 | x coordinate of the upper left vertex of the rectangle
  [in] | y0 | y coordinate of the upper left vertex of the rectangle
  [in] | w | width of the rectangle
  [in] | h | height of the rectangle
  [in] | r | corner radius

## ◆ hal_gfx_raster_stroked_circle_aa()

void hal_gfx_raster_stroked_circle_aa | ( | float | x,
|  | float | y,
|  | float | r,
|  | float | w
| ) |  |

Raster a circle with Anti-Aliasing (if available) and specified width.

Parameters

  [in] | x | x coordinate of the circle's center
  [in] | y | y coordinate of the circle's center
  [in] | r | circle's radius
  [in] | w | pencil width

## ◆ hal_gfx_raster_triangle()

void hal_gfx_raster_triangle | ( | int | x0,
|  | int | y0,
|  | int | x1,
|  | int | y1,
|  | int | x2,
|  | int | y2
| ) |  |

Raster a triangle.

Parameters

  [in] | x0 | x coordinate at the first vertex of the triangle
  [in] | y0 | y coordinate at the first vertex of the triangle
  [in] | x1 | x coordinate at the second vertex of the triangle
  [in] | y1 | y coordinate at the second vertex of the triangle
  [in] | x2 | x coordinate at the third vertex of the triangle
  [in] | y2 | y coordinate at the third vertex of the triangle

## ◆ hal_gfx_raster_triangle_f()

void hal_gfx_raster_triangle_f | ( | float | x0,
|  | float | y0,
|  | float | x1,
|  | float | y1,
|  | float | x2,
|  | float | y2
| ) |  |

Raster a triangle.

(float coordinates)

Parameters

  [in] | x0 | x coordinate at the first vertex of the triangle
  [in] | y0 | y coordinate at the first vertex of the triangle
  [in] | x1 | x coordinate at the second vertex of the triangle
  [in] | y1 | y coordinate at the second vertex of the triangle
  [in] | x2 | x coordinate at the third vertex of the triangle
  [in] | y2 | y coordinate at the third vertex of the triangle

## ◆ hal_gfx_raster_triangle_fx()

void hal_gfx_raster_triangle_fx | ( | int | x0fx,
|  | int | y0fx,
|  | int | x1fx,
|  | int | y1fx,
|  | int | x2fx,
|  | int | y2fx
| ) |  |

Raster a triangle with fixed point(16.16)

Parameters

  [in] | x0fx | x coordinate at the first vertex of the triangle
  [in] | y0fx | y coordinate at the first vertex of the triangle
  [in] | x1fx | x coordinate at the second vertex of the triangle
  [in] | y1fx | y coordinate at the second vertex of the triangle
  [in] | x2fx | x coordinate at the third vertex of the triangle
  [in] | y2fx | y coordinate at the third vertex of the triangle

## ◆ hal_gfx_raster_triangle_p0_f()

void hal_gfx_raster_triangle_p0_f | ( | float | x0,
|  | float | y0
| ) |  |

Raster the first vertex of the triangle strip.

(float coordinates)

Parameters

  [in] | x0 | x coordinate at the first vertex of the triangle
  [in] | y0 | y coordinate at the first vertex of the triangle

## ◆ hal_gfx_raster_triangle_p1_f()

void hal_gfx_raster_triangle_p1_f | ( | float | x1,
|  | float | y1
| ) |  |

Raster the second vertex of the triangle strip.

(float coordinates)

Parameters

  [in] | x1 | x coordinate at the second vertex of the triangle
  [in] | y1 | y coordinate at the second vertex of the triangle

## ◆ hal_gfx_raster_triangle_p2_f()

void hal_gfx_raster_triangle_p2_f | ( | float | x2,
|  | float | y2
| ) |  |

Raster the third vertex of the triangle strip.

(float coordinates)

Parameters

  [in] | x2 | x coordinate at the third vertex of the triangle
  [in] | y2 | y coordinate at the third vertex of the triangle

## ◆ hal_gfx_set_raster_color()

void hal_gfx_set_raster_color | ( | uint32_t | rgba8888 | ) |

Setting the raster color.

Parameters

  [in] | rgba8888 | Color value